Freeciv-3.3: packet_ruleset_building Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_building Struct Reference

`#include <packets_gen.h>`

## Data Fields

Impr_type_id | id
enum impr_genus_id | genus
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
char | graphic_alt2 [MAX_LEN_NAME]
int | reqs_count
struct requirement | reqs [MAX_NUM_REQS]
int | obs_count
struct requirement | obs_reqs [MAX_NUM_REQS]
int | build_cost
int | upkeep
int | sabotage
bv_impr_flags | flags
char | soundtag [MAX_LEN_NAME]
char | soundtag_alt [MAX_LEN_NAME]
char | soundtag_alt2 [MAX_LEN_NAME]
struct strvec * | helptext

## Detailed Description

Definition at line 1182 of file packets_gen.h.

## Field Documentation

## ◆ build_cost

int packet_ruleset_building::build_cost

Definition at line 1194 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ flags

bv_impr_flags packet_ruleset_building::flags

Definition at line 1197 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ genus

enum impr_genus_id packet_ruleset_building::genus

Definition at line 1184 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ graphic_alt

char packet_ruleset_building::graphic_alt[MAX_LEN_NAME]

Definition at line 1188 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ graphic_alt2

char packet_ruleset_building::graphic_alt2[MAX_LEN_NAME]

Definition at line 1189 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ graphic_str

char packet_ruleset_building::graphic_str[MAX_LEN_NAME]

Definition at line 1187 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ helptext

struct strvec* packet_ruleset_building::helptext

Definition at line 1201 of file packets_gen.h.

Referenced by free_packet_ruleset_building(), handle_ruleset_building(), init_packet_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ id

Impr_type_id packet_ruleset_building::id

Definition at line 1183 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ name

char packet_ruleset_building::name[MAX_LEN_NAME]

Definition at line 1185 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ obs_count

int packet_ruleset_building::obs_count

Definition at line 1192 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ obs_reqs

struct requirement packet_ruleset_building::obs_reqs[MAX_NUM_REQS]

Definition at line 1193 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ reqs

struct requirement packet_ruleset_building::reqs[MAX_NUM_REQS]

Definition at line 1191 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ reqs_count

int packet_ruleset_building::reqs_count

Definition at line 1190 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ rule_name

char packet_ruleset_building::rule_name[MAX_LEN_NAME]

Definition at line 1186 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ sabotage

int packet_ruleset_building::sabotage

Definition at line 1196 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ soundtag

char packet_ruleset_building::soundtag[MAX_LEN_NAME]

Definition at line 1198 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ soundtag_alt

char packet_ruleset_building::soundtag_alt[MAX_LEN_NAME]

Definition at line 1199 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ soundtag_alt2

char packet_ruleset_building::soundtag_alt2[MAX_LEN_NAME]

Definition at line 1200 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().

## ◆ upkeep

int packet_ruleset_building::upkeep

Definition at line 1195 of file packets_gen.h.

Referenced by handle_ruleset_building(), receive_packet_ruleset_building_100(), send_packet_ruleset_building_100(), and send_ruleset_buildings().